<div *ngIf="matchOccupationsByEducationtextService.isSearchInitiated">
  <div fxLayout="row" fxLayoutAlign="start stretch">
    <div class="found-keywords">
      <mat-card appearance="outlined" class="card-item" *ngIf="matchedOccupations" fxFlex="100%">
        <mat-card-title>Hittade nyckelord</mat-card-title>
        <mat-card-content>
          <div fxFlex fxLayout="column" fxLayout.lt-sm="column">
            <div fxFlex="100%" fxFlex.gt-sm="100%" class="content-bottom-left-col" *ngIf="matchedOccupations.identifiedKeywordsForInput &&
            matchedOccupations.identifiedKeywordsForInput.occupations">
              <h3>Yrken:</h3>
              <div *ngFor="let occupation of matchedOccupations.identifiedKeywordsForInput.occupations;let i = index">
                {{occupation}}
              </div>
              &nbsp;
            </div>
            <div fxFlex="100%" fxFlex.gt-sm="100%" class="content-bottom-left-col" *ngIf="matchedOccupations.identifiedKeywordsForInput &&
            matchedOccupations.identifiedKeywordsForInput.competencies">
              <h3>Kompetenser:</h3>
              <div *ngFor="let competence of matchedOccupations.identifiedKeywordsForInput.competencies;let i = index">
                {{competence}}
              </div>
              &nbsp;
            </div>

          </div>
        </mat-card-content>
      </mat-card>

    </div>

    <div class="zero-results-found" *ngIf="matchOccupationsByEducationtextService.isSearchInitiated &&
    !matchOccupationsByEducationtextService.isLoadingPageResult &&
    getRelatedOccupations()?.length == 0">
      Inga relaterade yrken kunde hittas
    </div>

    <div *ngIf="getRelatedOccupations()?.length != 0">

      <mat-card appearance="outlined" class="card-item related-occupations" *ngIf="matchedOccupations" fxFlex="100%">
        <mat-card-title>Relaterade yrken</mat-card-title>
        <mat-card-content>
          <div fxLayout="column" fxLayoutAlign="space-around stretch" >
            <div fxFlex="100%" *ngFor="let relatedOccupation of getRelatedOccupations();let i = index">
              <mat-accordion>
                <mat-expansion-panel class="card-details-item">
                  <mat-expansion-panel-header class="card-details-item">
                    <mat-panel-title>
                      {{relatedOccupation.occupationLabel}}
                    </mat-panel-title>
                    <mat-panel-description>
                    </mat-panel-description>
                  </mat-expansion-panel-header>
                  <div *ngIf="relatedOccupation.occupationGroup">
                    Tillhör yrkesgruppen {{relatedOccupation.occupationGroup.occupationGroupLabel}}.
                    (SSYK {{relatedOccupation.occupationGroup.ssyk}})
                  </div>

                  <div *ngIf="appComponent.debug">
                  Match score: {{relatedOccupation.metadata?.match_score}}<br />
                  Enriched ads count: {{relatedOccupation.metadata?.enriched_ads_count}}<br />
                  Enriched ads percent of total: {{relatedOccupation.metadata?.enriched_ads_percent_of_total}}<br />

                  <mat-expansion-panel (opened)="openedExpansion(relatedOccupation.occupationLabel!, relatedOccupation.conceptTaxonomyId!)" class="card-details-item">
                    <mat-expansion-panel-header class="card-details-item">
                      <mat-panel-title>
                        Berikade kompetenser för yrket
                      </mat-panel-title>
                      <mat-panel-description>
                      </mat-panel-description>
                    </mat-expansion-panel-header>
                    <div *ngIf="getEnrichedOccupation(relatedOccupation.conceptTaxonomyId!)" fxFlex fxLayout="column" fxLayout.lt-sm="column">
                      <table class="metadataterms">
                        <tr>
                          <th>Term</th>
                          <th>Percent for occupation</th>
                        </tr>
                        <tr *ngFor="let metadataitem of getEnrichedOccupation(relatedOccupation.conceptTaxonomyId!).metadata?.competencies_metadata">
                          <td>{{metadataitem.term}}</td>
                          <td>{{metadataitem.percent_for_occupation}}</td>
                        </tr>
                      </table>
                    </div>
                  </mat-expansion-panel>

                  <mat-expansion-panel (opened)="openedExpansion(relatedOccupation.occupationLabel!, relatedOccupation.conceptTaxonomyId!)" class="card-details-item">
                    <mat-expansion-panel-header class="card-details-item">
                      <mat-panel-title>
                        Berikade yrkestitlar för yrket
                      </mat-panel-title>
                      <mat-panel-description>
                      </mat-panel-description>
                    </mat-expansion-panel-header>
                    <div *ngIf="getEnrichedOccupation(relatedOccupation.conceptTaxonomyId!)" fxFlex fxLayout="column" fxLayout.lt-sm="column">
                      <table class="metadataterms">
                        <tr>
                          <th>Term</th>
                          <th>Percent for occupation</th>
                        </tr>
                        <tr *ngFor="let metadataitem of getEnrichedOccupation(relatedOccupation.conceptTaxonomyId!).metadata?.occupations_metadata">
                          <td>{{metadataitem.term}}</td>
                          <td>{{metadataitem.percent_for_occupation}}</td>
                        </tr>
                      </table>
                    </div>
                  </mat-expansion-panel>
                  </div>
                </mat-expansion-panel>
              </mat-accordion>
            </div>
          </div>
        </mat-card-content>
      </mat-card>
    </div>

    <div *ngIf="matchOccupationsByEducationtextService.isLoadingPageResult"
         class="searchresultspinner-area">
      <mat-spinner class="education-spinner" [diameter]="40" aria-label="Laddar resultat"></mat-spinner>
      Laddar..
    </div>
  </div>
</div>

